Skip to main content
`Ctrl`+`K`

# PetscDrawLGAddPoints

Adds several points to each of the line graphs. The new points must have an X coordinate larger than the old points.

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawLGAddPoints(PetscDrawLG lg, PetscInt n, PetscReal *xx[], PetscReal *yy[])

Logically Collective

## Input Parameters

- lg - the line graph context

- xx - array of pointers that point to arrays containing the new x coordinates for each curve.

- yy - array of pointers that point to arrays containing the new y points for each curve.

- n - number of points being added

## Notes

You must call `PetscDrawLGDraw()` to display any added points

Call `PetscDrawLGReset()` to remove all points

## See Also

`PetscDrawLG`, `PetscDrawLGCreate()`, `PetscDrawLGAddPoint()`, `PetscDrawLGAddCommonPoint()`, `PetscDrawLGReset()`, `PetscDrawLGDraw()`

## Level

intermediate

## Location

src/sys/classes/draw/utils/lg.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages